# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Object/InsideOut.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Time/localtime.pm) perl(Util/Properties.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name CGI-FileUpload
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: A module to upload file through CGI asynchrnously, know where the upload status and get back the fi...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AL/ALEXMASS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
An uploaded file is associated with a key (corresponding to a file in a server temp directory)

When uploading is started the key is returned before the uploading completed, allowing further queries such as knowing is the upload is completed, uploaded file size etc...


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -rf %buildroot/blib
rm -rf %buildroot/blib
rm -rf %buildroot/blib

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

